import request from '@/utils/request';

// 家装客资-查询待分配客资列表接口
export function selectNotAllocationList(query) {
  return request({
    url: 'mobile/customerClueInfo/selectNotAllocationList',
    method: 'get',
    params: query,
  });
}

// 家装客资-根据客资类型查询分配人岗位列表和用户列表接口
export function selectUserListByCustomerType(data) {
  return request({
    url: 'mobile/customerClueInfo/selectUserListByCustomerType',
    method: 'post',
    data: data,
  });
}

// 家装客资-根据岗位列表查询用户接口
export function selectUserListByPostName(data) {
  return request({
    url: 'mobile/customerClueInfo/selectUserListByPostName',
    method: 'post',
    data: data,
  });
}

// 家装客资-分配客资归属接口
export function allocationCustomer(data) {
  return request({
    url: 'mobile/customerClueInfo/allocationCustomer',
    method: 'post',
    data: data,
  });
}

// 家装客资-根据客资信息，查询家装客资任务接口
export function selectCustomerClueInfoById(query) {
  return request({
    url: 'mobile/customerClueInfo/selectCustomerClueInfoById',
    method: 'get',
    params: query,
  });
}

// 家装客资-查询下属家装销售专员列表接口
export function selectSubUserList(query) {
  return request({
    url: 'mobile/customerClueInfo/selectSubUserList',
    method: 'get',
    params: query,
  });
}

// 家装客资-确认转下属接口
export function allocationSubCustomer(data) {
  return request({
    url: 'mobile/customerClueInfo/allocationSubCustomer',
    method: 'post',
    data: data,
  });
}

// 家装客资-新增客资跟进信息答案接口
export function insertFollowCustomerClueAnswer(data) {
  return request({
    url: 'mobile/customerClueInfo/insertFollowCustomerClueAnswer',
    method: 'post',
    data: data,
  });
}
